OpenTTD Source: Data Fields - Variables

OpenTTD Source 15.0-RC2

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - g -

- g : Blitter_32bppSimple::Pixel, SpriteLoader::CommonPixel
- game : ScriptConfigSettings
- game_connecter : ClientNetworkCoordinatorSocketHandler
- game_creation : GameSettings
- game_paused_by_player : HighScoreWindow
- gamelog : LoadCheckData
- gamescript_name : NetworkServerGameInfo
- gamescript_version : NetworkServerGameInfo
- gaps : NWidgetPIPContainer
- gc : GRFPresence
- gcache : GroundVehicle< T, Type >
- gdi_palette : VideoDriver_Win32GDI
- gender_map : LanguageMap
- genders : LanguagePackHeader
- general : NewsSettings
- generate_amount : ObjectSpec
- generation_seed : AfterNewGRFScan, GameCreationSettings
- get_def_cb : IntSettingDesc
- get_tile_desc_proc : TileTypeProcs
- get_tile_track_status_proc : TileTypeProcs
- gfx : AirportTileTable
- give_money : EconomySettings
- gl_context : VideoDriver_SDL_OpenGL
- glitter_water : ExtraPaletteValues
- glitter_water_toyland : ExtraPaletteValues
- global_aa : FontCacheSettings
- global_id : NewGRFClass< Tspec, Tindex, Tmax >
- global_pointer : Squirrel
- glyph_size : Win32FontCache
- glyph_to_char : FallbackParagraphLayout::FallbackVisualRun, ICURun
- glyphs : FallbackParagraphLayout::FallbackVisualRun, ICURun
- goal : Town
- goods : Station
- gradual_loading : OrderSettings
- GRAPH_AXIS_LABEL_COLOUR : BaseGraphWindow
- graph_line_thickness : GUISettings
- GRAPH_NUM_MONTHS : BaseGraphWindow
- GRAPH_PAYMENT_RATE_STEPS : BaseGraphWindow
- graph_size : FrametimeGraphWindow
- grf : TileDesc
- grf_bugs : GRFConfig
- grf_cache : Vehicle
- grf_compatibility : LoadCheckData
- grf_config : NewGRFParametersWindow, NewGRFTextfileWindow, SurveyResultTextfileWindow
- grf_container_ver : SoundEntry
- grf_feature : PriceBaseSpec
- grf_features : GRFFile
- grf_presets : NewGRFWindow
- grf_prop : AirportSpec, AirportTileSpec, Badge, Engine, HouseSpec, IndustrySpec, IndustryTileSpec, ObjectSpec, RoadStopSpec, StationSpec
- grfconfig : GrfProcessingState, LoadCheckData, NetworkServerGameInfo
- grffile : CargoSpec, GRFFilePropsBase, GrfProcessingState, NewGRFProfiler, RailTypeInfo, ResolverObject, RoadTypeInfo, WaterFeature
- grfid : BasePersistentStorageArray, EngineIDMapping, EntityIDMapping, GRFFilePropsBase, GRFIdentifier, GRFTownName, HouseClassMapping, LoggedChangeGRFBug, LoggedChangeGRFMoved, LoggedChangeGRFParameterChanged, LoggedChangeGRFRemoved, SpecMapping< T >, StringIDMapping, TownNameParams
- ground : DrawTileSprites, RailTypeInfo
- group : OrderBackup, RailTypeInfo, RoadTypeInfo, WaterFeature
- group_all : Company
- group_confirm : VehicleGroupWindow
- group_default : Company
- group_id : Vehicle
- group_names : StationViewWindow
- group_over : VehicleGroupWindow
- group_rename : VehicleGroupWindow
- group_sel : VehicleGroupWindow
- grouping : BaseVehicleListWindow
- grouping_index : StationViewWindow
- groupings : StationViewWindow
- groups : IniLoadFile, RandomizedSpriteGroup, VehicleGroupWindow
- grow_counter : Town
- growth_rate : Town
- gs_config : GSConfigWindow
- gui : ClientSettings
- gui_sprites : RailTypeInfo, RoadTypeInfo
- gv_flags : GroundVehicle< T, Type >